Package org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.label

# Class NoSelectedItemContentViewer

java.lang.Object
org.eclipse.jface.viewers.Viewer
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.label.LabelContentViewer
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.label.NoSelectedItemContentViewer

All Implemented Interfaces:
  `org.eclipse.compare.IPropertyChangeNotifier`, `CommandStackListener`, `org.eclipse.jface.viewers.IInputProvider`, `org.eclipse.jface.viewers.IInputSelectionProvider`, `org.eclipse.jface.viewers.ISelectionProvider`

public class NoSelectedItemContentViewer extends LabelContentViewer
A `LabelContentViewer` in case of a comparison with no selected item.

## Field Summary

### Fields inherited from class org.eclipse.jface.viewers.Viewer

`WIDGET_DATA_KEY`

## Constructor Summary

Constructors
Constructor
Description
`NoSelectedItemContentViewer(org.eclipse.swt.widgets.Composite parent, EMFCompareConfiguration configuration)`
Creates a new viewer and its controls.

## Method Summary

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.label.LabelContentViewer

`addPropertyChangeListener, commandStackChanged, editingDomainChange, editingDomainChange, getControl, getInput, getSelection, handleDisposed, refresh, removePropertyChangeListener, setDirty, setInput, setSelection`

### Methods inherited from class org.eclipse.jface.viewers.Viewer

`addHelpListener, addSelectionChangedListener, fireHelpRequested, fireSelectionChanged, getData, handleHelpRequest, inputChanged, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NoSelectedItemContentViewer

public NoSelectedItemContentViewer(org.eclipse.swt.widgets.Composite parent, EMFCompareConfiguration configuration)
Creates a new viewer and its controls.

Parameters:
  `parent` - the parent of the control of this viewer.